﻿@import url("/AyalaLand_UITheme/Theme.AyalaLand_UITheme.css?1622");

/* variables*/
:root{
 --border-color-dark: #ccc;
}


/*Cutomized Pattern*/

.desktop.small .Menu_DropDownPanel, .tablet .Menu_DropDownPanel, .PopMenu .Menu_DropDownPanel {
    background-color: transparent;
    left: 120px;
}

.desktop.small .Menu_SubItemsPlaceholder, .tablet .Menu_SubItemsPlaceholder, .PopMenu .Menu_SubItemsPlaceholder {
background-color: #192620;
top: 0;
height: auto;
width: auto;
}

.Page.desktop.small .PopMenu .Menu_DropDownPanel {
    display: none;
    left: 120px;
}

.Header {
    /* background-color: #10893E; */
    /* border-bottom: 1px solid #10893E; */
    /*background: #56687C;*/
    background: #00714B;
    border-bottom: 0px solid #005E46;
}

.Application_Menu {
    /* background-color: #10893E; */
    /*background: linear-gradient(to bottom, rgba(230,247,232,1) 0%, rgba(133,215,143,0.97) 35%, rgba(133,215,143,0.93) 67%, rgba(210,250,214,0.9) 100%);*/
    /*background: #56687C;*/
    background: #00714B;
}

.LoginInfo {
    color: #FFFFFF;
    font-size: 14px;
    font-weight: 800;
}

div.Feedback_Message_Error, 
div.Feedback_Message_Success, 
div.Feedback_Message_Warning, 
div.Feedback_Message_Info {
    max-width: 50%;
    width: auto;
}

.loginlabelcustom {
    cursor: pointer;
    font-size: 19px;
    font-weight: bold;
    padding: 10px;
}

.TableRecords_Header1{
    background-color: #56687c;
    color: #ffffff;
    padding: 5px 5px 5px 5px;
}

.loginlabelcustom:hover { 
    background-color: #2B6D57; 
    border-radius: 8px; 
    box-shadow: 1px -4px 5px #006f4a inset; 

}

.Header_title {
    border-right: 0px solid #005E46;
    line-height: 3px;
    color: #005E46;
    padding-left: 13px;
    position: absolute;
    text-decoration: none;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 238px;
    z-index: 2;
}

.Menu_TopMenuActive a span.fa {
    border-color: #FFFFFF;
    color: #02724d;
}

/*Hover*/
.Menu_TopMenu:hover span.fa, .Menu_TopMenu:hover .MenuTitle {
    color: #ffffff;
}

/*Inactive Menu*/
.Menu_TopMenu a:link, .Menu_TopMenu a:visited, .Menu_TopMenu a, .MenuTitle {
    color: #cbd4d1;
}

.Menu_TopMenuActive a span.fa, .Menu_TopMenuActive .MenuTitle {
    color: #ffffff;
}


.Menu_TopMenuActive .Menu_DropDownArrow {
    color: #ffffff;
}

/*Active menu*/
.Menu_TopMenuActive a:hover span.fa, .Menu_TopMenuActive a:hover + .Menu_DropDownArrow {
    color: #ffffff;
}

.Section__title.Heading2 {
    font-size: 21px;
}

/*Cutomized Wizard*/

.WizardParent {
    border: none;
}

.WizardStep:last-of-type {
    border: none;
}

.WizardStep.Past {
    background: #c0c0c0;
    color: #fff;
}

.WizardStep:not(.Past):not(.ActiveStep) {
    border: none;
    background: transparent;
}

.WizardStep.Past:hover {

    text-decoration: underline;

}

.WizardStep:before {
    border-bottom: 20px solid #fafafa;
    border-left: 20px solid transparent;
    border-top: 20px solid #fafafa;
}

.Menu_TopMenu:hover .Menu_DropDownArrow {
    color: inherit;
}

/***********/

.Menu_DropDownPanel a, .Menu_DropDownPanel a:link, .Menu_DropDownPanel a:visited {
    background-color: #56687c;
}

.desktop.small .Menu_SubItemsPlaceholder, .tablet .Menu_SubItemsPlaceholder, .PopMenu .Menu_SubItemsPlaceholder{
    
    background-color: #56687c;   

}

.Menu_DropDownPanel a:hover, .Menu_DropDownPanel a:link:hover, .Menu_DropDownPanel a:visited:hover {
    background-color: #ffffff;
    color: #56687c;
}

.Menu_DropDownPanel a span.fa {
    color: inherit;
}

/*Used to freeze table headers  */
.StickyTableRecords_Header {
    border-bottom: 1px solid #ddd;
    color: #848F8A;
    font-size: 14px;
    letter-spacing: 1px;
    text-transform: none;
    position: sticky;
    top: 0;
    background: #56687c;
    z-index: 2;
    font-family: "Nunito", Meiryo, sans-serif;
    color: #ffffff;
}

/*used to set the z-index of the column header 
that will be freezed when scrolling horizontally */
.FreezeLeftHeader_ZIndex {
    z-index: 3 !important;

}

/*used to change the background color depending if it is enabled or disabled*/
.Enabled_Color{
    background-color: #FAFAFA;
}

.Disabled_Color{
   background-color: #eae8e6;
}

/*Used to set the color of icons in APRISADashboard.*/
.IconColor{
 color: #56687c;
}

/*Used for the vertical scroll container of popup.*/
.DropdownFieldsList_PopUp{
    width: 100%;
    height: 250px;
    overflow-y: scroll;
    border: 1px solid #E0E0E0;
}

/*Used to decrease the padding of the popup's main content.*/
.MainPopup {
    background: #fff;
    /* display: table-cell; */
    padding: 10px 35px;
    vertical-align: top
}

/*Used for the vertical scroll container.*/
.DropdownFieldsList{
    width: 100%;
    height: 315px;
    overflow-y: scroll;
   /* border-style: groove;
    border-width: 2px; */
    border: 1px solid #E0E0E0;
}

/*Used to set the Non-Estate checkbox container padding.*/
.Padding_LeftRight{
    padding: 0px 10px;
}

/*Used to set the width of the checkbox container.*/
.RoleTableCellContainer{
 width: 120px;
 height: auto;
}

/*Used to set the width of the landbank table values container.*/
.CellContainer
{
    width: 180px;
}

/*Used to align right all number values in a table.*/
.Number
{
    text-align: right;
}

/*Used to set the height of table container to make it responsive in any screen size.*/
.Table_Wrapper {
    height: calc(69vh + (44vh * 0.45) - 115px);
}

/*Used for the dropdown field name.*/
.DropdownHeader {
    color: #87918d;
    font-size: 36px;
    font-weight: 900;
}

/*Used to set the max-height of the main content container.*/
.TableContainer {
    overflow: auto;
    max-height: 90%;
}

/*Used to set APRISADashboard Logo color.*/
.APRISADashboardLogo{
    color: #FFFFFF;
    margin-top: 10px;
}

/*Button Hover Color*/
.desktop button:hover, .desktop a.Button:hover{
    background-color: #56687c;
}

/*Button Color*/
.Button, a.Button{
    border: 1px solid #56687c;
    color: #56687c;
}

/*Scrollbar*/
::-webkit-scrollbar-thumb{
    background: #56687c;    
}

::-webkit-scrollbar-thumb:hover {
    background: #56687c;
}

.MenuIcon{
    /*background: #56687c;*/
    background: #00714B;
}

.ListRecords a.MyList.IsClicked, .ListRecords a.MyList:hover{
    background-color: #56687c;
}

/*a, a:link, a:visited{
    background: #56687c;
}*/

.Menu_DropDownArrow{
 color: #ffffff;   
}

/*Checkbox border*/
input[type="checkbox"]:checked:before, input[type="radio"]:checked:before{
    border: 1px solid #56687c;
}

/*Checkbox*/
input[type="checkbox"]:after{
    border-bottom: 3px solid #56687c;
    border-left: 3px solid #56687c;
}

/*Link*/
a, a:link, a:visited{
    color: #56687c;   
}

/*Buttons*/
.desktop .Button.ButtonDefault:hover, .desktop .Button.Is_Default:hover, .desktop .Button.Success:hover, .desktop button.Small:hover, .desktop a.Button.Small:hover, .Button.Small:hover{
 background-color: #56687c;   
}

/*Toggle Button (active state)*/
.ToggleButton.changed{
    border-color: #56687c;   
}

.ToggleButton_label.changed:after{
    background: #56687c;
}

/*Combo Box (Banig)*/
.select2-container .select2-choice{
    color: #56687c;
}

.TableRecords_Header{
    color: #56687c;   
}

.TableRecords_OddLine,
.TableRecords_EvenLine {
    border-bottom: 1px solid #ddd;
}

/*Inactive dropdown arrow*/
.Menu_DropDownArrow:before{
    color: #cbd4d1;   
}

/*Default button*/
.Button.ButtonDefault, .Button.Is_Default{
    background-color: #56687c;   
}

/*Nav-bar*/
a.ListNavigation_PageNumber:link, span.ListNavigation_CurrentPageNumber, span.ListNavigation_Ellipsis{
    border: 1px solid #56687c;
}

span.ListNavigation_CurrentPageNumber, span.ListNavigation_CurrentPageNumber:hover{
    background-color: #56687c;
}

a.ListNavigation_Previous:link, a.ListNavigation_Next:link, span.ListNavigation_DisabledNext, span.ListNavigation_DisabledPrevious{
    border: 1px solid #56687c;
    color: #56687c;
}

.ListNavigation_Next:after, .ListNavigation_DisabledNext:after{
    color: #56687c;
}

.ListNavigation_Previous:before, .ListNavigation_DisabledPrevious:before{
    color: #56687c;
}

a.ListNavigation_PageNumber:link:hover,
span.ListNavigation_CurrentPageNumber:hover,
span.ListNavigation_Ellipsis:hover{
    background-color: #56687c;
}

a.ListNavigation_Previous:link:hover, a.ListNavigation_Next:link:hover, span.ListNavigation_DisabledNext:hover, span.ListNavigation_DisabledPrevious:hover{
    background-color: #56687c;
}

/*Wizard step*/
.WizardStep.Past:before{
    border-bottom-color: #c0c0c0;
    border-top-color: #c0c0c0;   
}

.WizardStep.ActiveStep:before{
    border-bottom-color: #56687c;
    border-top-color: #56687c; 
}

.WizardStep.ActiveStep{
    background: #56687c;
}

/*Radio Button*/
input[type="radio"]:after{
    background-color: #56687c;
    border: 2px solid #56687c;
    border-color: ;
}

.Feedback_AjaxWait{
    background-color: #56687c;   
}

/*Calendar*/
.Calendar-day-selected,
.Calendar-day-selected:hover {
    background: #56687c;
    color: #fff;
}

.Calendar-navDisabled > div, 
.topBar-navDisabled .Calendar-navBtn > div,
.Calendar-time-down,
.Calendar-time-up,
.Calendar-time-am {
    color: #56687c;
}

div.pika-select-previous-year.Calendar-navDisabled:hover,
div.pika-select-next-year.Calendar-navDisabled:hover {
    background-color: #56687c;
}

.pika-day.pika-button:hover {
    background: #56687c;
}

.is-selected .pika-button{
    background-color: #56687c;
}

.pika-button{
    color: #56687c;
}

.pika-single{
    color: #56687c;
}

.pika-prev:after, .pika-next:after{
    color: #56687c;
}

.Calendar-previousYear-arrow:hover, .Calendar-nextYear-arrow:hover{
    background-color: #56687c;   
}

/*Combo box*/
.select2-results .select2-highlighted {
    background: #56687c;
}

.select2-container-multi .select2-choices .select2-search-choice {
    background-color: #56687c;
}

@font-face { 
    font-family: 'Nord'; 
    src: url('/APRISADashboard_Theme/Nord-Bold.ttf') format('truetype'); 
    font-weight: normal; 
    font-style: normal; 
}

.required::after{
    content: " *";
    color: red;
}

.text-ellipsis {
    white-space: nowrap; 
    text-overflow: ellipsis;
    overflow: hidden;
}

.hidden {
    display: none;
}

/* Form CSS */
.form-label {
    padding: 14px 0px 14px 0px;
    width: 100px;
}

.form-input {
    width: 341px;
}

.width-auto {
    width: auto;
}

.height-auto {
    height: auto;
}